Package org.optaplanner.core.impl.score.stream.common

## Enum ScoreImpactType

- java.lang.Object
- - java.lang.Enum<ScoreImpactType>
  - - org.optaplanner.core.impl.score.stream.common.ScoreImpactType

- All Implemented Interfaces:
    `Serializable`, `Comparable<ScoreImpactType>`

      public enum ScoreImpactType
      extends Enum<ScoreImpactType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `MIXED` |
    `PENALTY` |
    `REWARD` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ScoreImpactType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ScoreImpactType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REWARD

          public static final ScoreImpactType REWARD

    - #### PENALTY

          public static final ScoreImpactType PENALTY

    - #### MIXED

          public static final ScoreImpactType MIXED

  - ### Method Detail

    - #### values

          public static ScoreImpactType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ScoreImpactType c : ScoreImpactType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ScoreImpactType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null